import request from '@/utils/request'

// 查询材料送检列表
export function listCheckDetection(query) {
  return request({
    url: '/project/checkDetection/list',
    method: 'get',
    params: query
  })
}

// 查询材料送检详细
export function getCheckDetection(id) {
  return request({
    url: '/project/checkDetection/' + id,
    method: 'get'
  })
}

// 新增材料送检
export function addCheckDetection(data) {
  return request({
    url: '/project/checkDetection',
    method: 'post',
    data: data
  })
}

// 修改材料送检
export function updateCheckDetection(data) {
  return request({
    url: '/project/checkDetection',
    method: 'put',
    data: data
  })
}

// 删除材料送检
export function delCheckDetection(id) {
  return request({
    url: '/project/checkDetection/' + id,
    method: 'delete'
  })
}
